org.eclipse.rdf4j.sail.elasticsearch.config

## Class ElasticsearchSailConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig
    - - org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig
      - - org.eclipse.rdf4j.sail.elasticsearch.config.ElasticsearchSailConfig

- All Implemented Interfaces:
    DelegatingSailImplConfig, SailImplConfig

      public class ElasticsearchSailConfig
      extends AbstractLuceneSailConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchSailConfig()`
    `ElasticsearchSailConfig(SailImplConfig delegate)`
    `ElasticsearchSailConfig(String luceneDir)`
    `ElasticsearchSailConfig(String luceneDir, SailImplConfig delegate)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.config.AbstractLuceneSailConfig

      `export, getIndexDir, getParameter, getParameterNames, parse, setIndexDir, setParameter`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractDelegatingSailImplConfig

      `getDelegate, setDelegate, validate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.config.SailImplConfig

      `getIterationCacheSyncThreshold, getType`

- - ### Constructor Detail

    - #### ElasticsearchSailConfig

          public ElasticsearchSailConfig()

    - #### ElasticsearchSailConfig

          public ElasticsearchSailConfig(SailImplConfig delegate)

    - #### ElasticsearchSailConfig

          public ElasticsearchSailConfig(String luceneDir)

    - #### ElasticsearchSailConfig

          public ElasticsearchSailConfig(String luceneDir,
                                         SailImplConfig delegate)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.